import { ReactiveController, ReactiveElement } from 'lit';
/**
 * Adds pressed support for interactive custom elements including CSS State psuedo-selector :state(pressed) and aria-pressed.
 * https://developer.mozilla.org/en-US/docs/Web/API/ElementInternals/states
 * https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-pressed
 */
export declare function statePressed<T extends Pressed>(): ClassDecorator;
export type Pressed = ReactiveElement & {
    pressed: boolean;
    readOnly?: boolean;
    _internals?: ElementInternals;
};
export declare class StatePressedController<T extends Pressed> implements ReactiveController {
    private host;
    constructor(host: T);
    hostConnected(): void;
    hostUpdated(): void;
}
